module Apcera
  # 
  class APCDownloadURL < BaseObject
    attr_accessor :sha256, :size, :url
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # 256-byte hash of file.
        :'sha256' => :'sha256',
        
        # Size of the file in bytes.
        :'size' => :'size',
        
        # APC file download link.
        :'url' => :'url'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'sha256' => :'String',
        :'size' => :'Integer',
        :'url' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'sha256']
        self.sha256 = attributes[:'sha256']
      end
      
      if attributes[:'size']
        self.size = attributes[:'size']
      end
      
      if attributes[:'url']
        self.url = attributes[:'url']
      end
      
    end

  end
end
