module Apcera
  # 
  class DependencyResolve < BaseObject
    attr_accessor :name, :type
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Name of the resource that can be depended upon.
        :'name' => :'name',
        
        # Dependency type. Can be one of the following values: \n * `file` \n  * `package` \n * `runtime` \n `os`.
        :'type' => :'type'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'name' => :'String',
        :'type' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'name']
        self.name = attributes[:'name']
      end
      
      if attributes[:'type']
        self.type = attributes[:'type']
      end
      
    end

  end
end
