module Apcera
  # 
  class FileListing < BaseObject
    attr_accessor :name, :size
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Name of the file or directory in the target path. Directory names are suffixed by a trailing forward slash (for example, `/app`).
        :'name' => :'name',
        
        # Size of the file resource; not calculated for directories.
        :'size' => :'size'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'name' => :'String',
        :'size' => :'Float'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'name']
        self.name = attributes[:'name']
      end
      
      if attributes[:'size']
        self.size = attributes[:'size']
      end
      
    end

  end
end
