module Apcera
  # 
  class Info < BaseObject
    attr_accessor :cluster_domain, :name, :url
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Cluster domain.
        :'cluster_domain' => :'cluster_domain',
        
        # API server name. Currently contains \&quot;Continuum\&quot;.
        :'name' => :'name',
        
        # URL of Apcera API Server (for example, api.try.apcera.net).
        :'url' => :'url'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'cluster_domain' => :'String',
        :'name' => :'String',
        :'url' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'cluster_domain']
        self.cluster_domain = attributes[:'cluster_domain']
      end
      
      if attributes[:'name']
        self.name = attributes[:'name']
      end
      
      if attributes[:'url']
        self.url = attributes[:'url']
      end
      
    end

  end
end
