module Apcera
  # 
  class Metrics < BaseObject
    attr_accessor :errors, :metrics
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # A hash list of errors
        :'errors' => :'errors',
        
        # 
        :'metrics' => :'metrics'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'errors' => :'Hash<String, String>',
        :'metrics' => :'Hash<String, MetricSeriesHash>'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'errors']
        if (value = attributes[:'errors']).is_a?(Array)
          self.errors = value
        end
      end
      
      if attributes[:'metrics']
        if (value = attributes[:'metrics']).is_a?(Array)
          self.metrics = value
        end
      end
      
    end

  end
end
