module Apcera
  # 
  class PackageDependsRequest < BaseObject
    attr_accessor :dependencies, :job_target
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # 
        :'dependencies' => :'dependencies',
        
        # Namespace in which dependencies will be resolved (e.g. the namespace of a job that is being staged, the namespace of the user requesting the resolution).
        :'job_target' => :'job_target'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'dependencies' => :'Array<DependencyResolve>',
        :'job_target' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'dependencies']
        if (value = attributes[:'dependencies']).is_a?(Array)
          self.dependencies = value
        end
      end
      
      if attributes[:'job_target']
        self.job_target = attributes[:'job_target']
      end
      
    end

  end
end
