module Apcera
  # 
  class Provider < BaseObject
    attr_accessor :backing_job_fqn, :backing_job_port, :description, :fqn, :name, :type, :uuid
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Backing job&#39;s FQN.
        :'backing_job_fqn' => :'backing_job_fqn',
        
        # Backing job&#39;s port.
        :'backing_job_port' => :'backing_job_port',
        
        # Provider description.
        :'description' => :'description',
        
        # Provider FQN (Fully Qualified Name).
        :'fqn' => :'fqn',
        
        # Provider name.
        :'name' => :'name',
        
        # Provider type (e.g. mysql, posgres).
        :'type' => :'type',
        
        # Provider UUID.
        :'uuid' => :'uuid'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'backing_job_fqn' => :'String',
        :'backing_job_port' => :'String',
        :'description' => :'String',
        :'fqn' => :'String',
        :'name' => :'String',
        :'type' => :'String',
        :'uuid' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'backing_job_fqn']
        self.backing_job_fqn = attributes[:'backing_job_fqn']
      end
      
      if attributes[:'backing_job_port']
        self.backing_job_port = attributes[:'backing_job_port']
      end
      
      if attributes[:'description']
        self.description = attributes[:'description']
      end
      
      if attributes[:'fqn']
        self.fqn = attributes[:'fqn']
      end
      
      if attributes[:'name']
        self.name = attributes[:'name']
      end
      
      if attributes[:'type']
        self.type = attributes[:'type']
      end
      
      if attributes[:'uuid']
        self.uuid = attributes[:'uuid']
      end
      
    end

  end
end
