module Apcera
  # 
  class SubTask < BaseObject
    attr_accessor :index, :name, :progress, :total
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # The index of this subtask among all subtasks.
        :'index' => :'index',
        
        # A human-readable description of this subtask.
        :'name' => :'name',
        
        # Indicates how far along this unit of work is.
        :'progress' => :'progress',
        
        # The total number of subtasks in the current stage.
        :'total' => :'total'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'index' => :'Integer',
        :'name' => :'String',
        :'progress' => :'TaskProgress',
        :'total' => :'Integer'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'index']
        self.index = attributes[:'index']
      end
      
      if attributes[:'name']
        self.name = attributes[:'name']
      end
      
      if attributes[:'progress']
        self.progress = attributes[:'progress']
      end
      
      if attributes[:'total']
        self.total = attributes[:'total']
      end
      
    end

  end
end
