module Apcera
  # 
  class UnbindParameterObject < BaseObject
    attr_accessor :force, :job, :service
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # If `true`, forces the binding to be removed and ignores errors from the backing service. Can be useful if the service is no longer available or is experiencing failures.
        :'force' => :'force',
        
        # Fully-qualified name of the job to unbind from the service specified by the `service` parameter.
        :'job' => :'job',
        
        # Fully-qualified name of the service to unbind from the job specified by the `job` parameter.
        :'service' => :'service'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'force' => :'BOOLEAN',
        :'job' => :'String',
        :'service' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'force']
        self.force = attributes[:'force']
      end
      
      if attributes[:'job']
        self.job = attributes[:'job']
      end
      
      if attributes[:'service']
        self.service = attributes[:'service']
      end
      
    end

  end
end
