module Apcera
  # 
  class AuditLogItemOld < BaseObject
    attr_accessor :action, :allowed, :method, :requester_addr, :resp_msg, :response_time, :t
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # URL endpoint of action.
        :'action' => :'action',
        
        # Indicates if action was allowed (true) or not (false).
        :'allowed' => :'allowed',
        
        # HTTP method.
        :'method' => :'method',
        
        # IP address of client that made request.
        :'requester_addr' => :'requester_addr',
        
        # Response message, if any.
        :'resp_msg' => :'resp_msg',
        
        # Time it took to respond to the request in milliseconds.
        :'response_time' => :'response_time',
        
        # Date-time stamp of request.
        :'t' => :'t'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'action' => :'String',
        :'allowed' => :'BOOLEAN',
        :'method' => :'String',
        :'requester_addr' => :'String',
        :'resp_msg' => :'String',
        :'response_time' => :'Integer',
        :'t' => :'DateTime'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'action']
        self.action = attributes[:'action']
      end
      
      if attributes[:'allowed']
        self.allowed = attributes[:'allowed']
      end
      
      if attributes[:'method']
        self.method = attributes[:'method']
      end
      
      if attributes[:'requester_addr']
        self.requester_addr = attributes[:'requester_addr']
      end
      
      if attributes[:'resp_msg']
        self.resp_msg = attributes[:'resp_msg']
      end
      
      if attributes[:'response_time']
        self.response_time = attributes[:'response_time']
      end
      
      if attributes[:'t']
        self.t = attributes[:'t']
      end
      
    end

  end
end
