module Apcera
  # 
  class Drain < BaseObject
    attr_accessor :conf, :max_size, :url, :uuid
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Drain configuration object.
        :'conf' => :'conf',
        
        # Maximum bytes per log line to send. Defaults to 2048 bytes.
        :'max_size' => :'max_size',
        
        # A syslog URL in the form of syslog://hostname:port.
        :'url' => :'url',
        
        # UUID of the drain object.
        :'uuid' => :'uuid'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'conf' => :'DrainConfig',
        :'max_size' => :'Integer',
        :'url' => :'String',
        :'uuid' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'conf']
        self.conf = attributes[:'conf']
      end
      
      if attributes[:'max_size']
        self.max_size = attributes[:'max_size']
      end
      
      if attributes[:'url']
        self.url = attributes[:'url']
      end
      
      if attributes[:'uuid']
        self.uuid = attributes[:'uuid']
      end
      
    end

  end
end
