module Apcera
  # 
  class JobPreferences < BaseObject
    attr_accessor :docker_cache_namespace
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # The package namespace where Docker jobs should look for cached packages.
        :'docker_cache_namespace' => :'docker_cache_namespace'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'docker_cache_namespace' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'docker_cache_namespace']
        self.docker_cache_namespace = attributes[:'docker_cache_namespace']
      end
      
    end

  end
end
