module Apcera
  # 
  class Log < BaseObject
    attr_accessor :channel, :file, :jobid
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # The name of the channel that the log should be published on.
        :'channel' => :'channel',
        
        # The path to the log file within the job&#39;s container that should be collected.
        :'file' => :'file',
        
        # UUID of the job generating the log.
        :'jobid' => :'jobid'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'channel' => :'String',
        :'file' => :'String',
        :'jobid' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'channel']
        self.channel = attributes[:'channel']
      end
      
      if attributes[:'file']
        self.file = attributes[:'file']
      end
      
      if attributes[:'jobid']
        self.jobid = attributes[:'jobid']
      end
      
    end

  end
end
