module Apcera
  # 
  class Runtime < BaseObject
    attr_accessor :patterns, :runtime
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # An array of file names or patterns used to select the appropriate runtime.
        :'patterns' => :'patterns',
        
        # Identifies the runtime (for example, \&quot;bash\&quot;, or \&quot;perl\&quot;).
        :'runtime' => :'runtime'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'patterns' => :'Array<String>',
        :'runtime' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'patterns']
        if (value = attributes[:'patterns']).is_a?(Array)
          self.patterns = value
        end
      end
      
      if attributes[:'runtime']
        self.runtime = attributes[:'runtime']
      end
      
    end

  end
end
