module Apcera
  # 
  class SemiPipeRuleAction < BaseObject
    attr_accessor :commands, :inline, :uri
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Commands that will trigger the hook or notification.
        :'commands' => :'commands',
        
        # If no URL is given, you can specify an action directly. URL and action cannot be specified at the same time. Action can be &#39;allow&#39; or &#39;deny&#39;.
        :'inline' => :'inline',
        
        # URL to receive the hook or notification request. Required for notifications, but optional for hooks.
        :'uri' => :'uri'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'commands' => :'Array<String>',
        :'inline' => :'String',
        :'uri' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'commands']
        if (value = attributes[:'commands']).is_a?(Array)
          self.commands = value
        end
      end
      
      if attributes[:'inline']
        self.inline = attributes[:'inline']
      end
      
      if attributes[:'uri']
        self.uri = attributes[:'uri']
      end
      
    end

  end
end
