module Apcera
  # 
  class SubnetInfo < BaseObject
    attr_accessor :subnet
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # The subnet assigned to a virtual network in CIDR notation (`192.168.1.0/24`, for example).
        :'subnet' => :'Subnet'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'subnet' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'Subnet']
        self.subnet = attributes[:'Subnet']
      end
      
    end

  end
end
