module Apcera
  # 
  class TaskProgress < BaseObject
    attr_accessor :current, :progress
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Current progress.
        :'current' => :'current',
        
        # Total amount of work to be done.
        :'progress' => :'progress'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'current' => :'Float',
        :'progress' => :'Float'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'current']
        self.current = attributes[:'current']
      end
      
      if attributes[:'progress']
        self.progress = attributes[:'progress']
      end
      
    end

  end
end
