module Apcera
  # 
  class UnlinkParameterObject < BaseObject
    attr_accessor :from_job, :port, :to_job
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # FQN of the job being linked from.
        :'from_job' => :'from_job',
        
        # The port on the target job to link to.
        :'port' => :'port',
        
        # FQN of the target job.
        :'to_job' => :'to_job'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'from_job' => :'String',
        :'port' => :'Integer',
        :'to_job' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'from_job']
        self.from_job = attributes[:'from_job']
      end
      
      if attributes[:'port']
        self.port = attributes[:'port']
      end
      
      if attributes[:'to_job']
        self.to_job = attributes[:'to_job']
      end
      
    end

  end
end
