module Apcera
  # 
  class VirtualNetworkEndpointInterface < BaseObject
    attr_accessor :hardware_addr, :ipv4_addr, :uuid
    # attribute mapping from ruby-style variable name to JSON key
    def self.attribute_map
      {
        
        # Unique identifier assigned to the network interface.
        :'hardware_addr' => :'hardware_addr',
        
        # Virtual IP address assigned to the instance.
        :'ipv4_addr' => :'ipv4_addr',
        
        # The UUID of the network endpoint.
        :'uuid' => :'uuid'
        
      }
    end

    # attribute type
    def self.swagger_types
      {
        :'hardware_addr' => :'String',
        :'ipv4_addr' => :'String',
        :'uuid' => :'String'
        
      }
    end

    def initialize(attributes = {})
      return if !attributes.is_a?(Hash) || attributes.empty?

      # convert string to symbol for hash key
      attributes = attributes.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}

      
      if attributes[:'hardware_addr']
        self.hardware_addr = attributes[:'hardware_addr']
      end
      
      if attributes[:'ipv4_addr']
        self.ipv4_addr = attributes[:'ipv4_addr']
      end
      
      if attributes[:'uuid']
        self.uuid = attributes[:'uuid']
      end
      
    end

  end
end
